import request from '@/utils/request'

// 查询行业分类及代码列表
export function listClassification(query) {
    return request({
        url: '/rmIndustryClassification/findByPage',
        method: 'get',
        params: query
    })
}

// 查询行业分类及代码详细
export function getClassification(id) {
    return request({
        url: '/rmIndustryClassification/' + id,
        method: 'get'
    })
}

// 新增行业分类及代码
export function addClassification(data) {
    return request({
        url: '/rmIndustryClassification',
        method: 'post',
        data: data
    })
}

// 修改行业分类及代码
export function updateClassification(data) {
    return request({
        url: '/rmIndustryClassification',
        method: 'put',
        data: data
    })
}

// 删除行业分类及代码
export function delClassification(id) {
    return request({
        url: '/rmIndustryClassification/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delClassificationBatch(ids) {
    console.log(ids);
    return request.post('/rmIndustryClassification/delete',ids)
}